Subject: Re: RTnet broadcast

From: Ralph Siemsen <[email-masked]>
Date: Fri, 03 Jun 2005 17:37:11 -0400

peng gu wrote:
> hello
>  I am a postgraduate.  I only want to use RT-net to generate UDP-packets 
> every 10 millisecond(broadcast).
> I had post my question to the RTnet mailing list to find someone to help 
> ,but no one answer me. may be it is too simple and funny to answer for 
> them,. but it is hard to me . If I use RTnet only for a packet generator 
> not for building real-time Ethernet , whether there are something 
> different from the socket programming to generate UDP packets on a 
> "normal" network? (for example ,a local network that have one switch, 
> and only one station broadcasting message to itself,) , If yes, Would 
> you kind to tell me, and to list the functions of RTnet and RTAI that I 
> must used to do this work. and tell me where I can find the similar 
> application would someone give me a hand.

Have you tried looking at the examples that come with RTnet?
http://www.rts.uni-hannover.de/rtnet/lxr/source/addons/examples
in particular the "raw-packets" example should show you how to do what
you want.

-R